Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.gemini.blueprint.service.importer.support
Enum MemberType

    java.lang.Object
      java.lang.Enum<MemberType>
          org.eclipse.gemini.blueprint.service.importer.support.MemberType

All Implemented Interfaces:
  Serializable, Comparable<MemberType>

    public enum MemberType

extends Enum<MemberType>

The type of the service collection. The members can be either service instances (proxies to the actual service objects) or the appropriate service references.

Author:
  Costin Leau

Enum Constant Summary
`SERVICE_OBJECT` Indicates proxies for the imported services.
`SERVICE_REFERENCE` Indicates `ServiceReference`s matching the target service type

Method Summary
`static MemberType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MemberType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SERVICE_OBJECT

    public static final MemberType SERVICE_OBJECT

  Indicates proxies for the imported services.

### SERVICE_REFERENCE

    public static final MemberType SERVICE_REFERENCE

  Indicates `ServiceReference`s matching the target service type

Method Detail

### values

    public static MemberType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MemberType c : MemberType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MemberType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2012. All Rights Reserved.